### Enumeration

# FwupdPlugin ContextFlags

#### Declaration

    flags FwupdPlugin.ContextFlags

#### Description

No description available.

#### Members

`FU_CONTEXT_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_CONTEXT_FLAG_SAVE_EVENTS`

  So that they can be replayed to emulate devices.

  - Value: `1`
  - Available since: 1.0
`FU_CONTEXT_FLAG_SYSTEM_INHIBIT`

  All devices are not updatable.

  - Value: `2`
  - Available since: 1.0
`FU_CONTEXT_FLAG_LOADED_HWINFO`

  Has called fu_context_load().

  - Value: `4`
  - Available since: 1.0
`FU_CONTEXT_FLAG_INHIBIT_VOLUME_MOUNT`

  Usually for self tests.

  - Value: `8`
  - Available since: 1.0
`FU_CONTEXT_FLAG_FDE_BITLOCKER`

  Full disk encryption.

  - Value: `16`
  - Available since: 1.0
`FU_CONTEXT_FLAG_FDE_SNAPD`

  Full disk encryption.

  - Value: `32`
  - Available since: 1.0
`FU_CONTEXT_FLAG_IGNORE_EFIVARS_FREE_SPACE`

  Ignore the free space requirement for db, dbx, etc.

  - Value: `64`
  - Available since: 1.0
`FU_CONTEXT_FLAG_NO_IDLE_SOURCES`

  No description available.

  - Value: `128`
  - Available since: 1.0
`FU_CONTEXT_FLAG_INSECURE_UEFI`

  No description available.

  - Value: `256`
  - Available since: 1.0
`FU_CONTEXT_FLAG_IS_HYPERVISOR`

  No description available.

  - Value: `512`
  - Available since: 1.0
`FU_CONTEXT_FLAG_IS_HYPERVISOR_PRIVILEGED`

  Privileged xen can access most hardware.

  - Value: `1024`
  - Available since: 1.0
`FU_CONTEXT_FLAG_IS_CONTAINER`

  No description available.

  - Value: `2048`
  - Available since: 1.0
`FU_CONTEXT_FLAG_SMBIOS_UEFI_ENABLED`

  No description available.

  - Value: `4096`
  - Available since: 1.0
`FU_CONTEXT_FLAG_NO_QUIRKS`

  No description available.

  - Value: `8192`
  - Available since: 1.0
`FU_CONTEXT_FLAG_DUMMY_EFIVARS`

  No description available.

  - Value: `16384`
  - Available since: 1.0
`FU_CONTEXT_FLAG_IS_SERVER`

  No description available.

  - Value: `32768`
  - Available since: 1.0
`FU_CONTEXT_FLAG_READONLY_FS`

  Ignore readonly filesystem errors.

  - Value: `65536`
  - Available since: 1.0
`FU_CONTEXT_FLAG_NO_CACHE`

  Do not save to a persistent cache.

  - Value: `131072`
  - Available since: 1.0
`FU_CONTEXT_FLAG_DUAL_BOOT_WINDOWS`

  No description available.

  - Value: `262144`
  - Available since: 1.0